package com.ruoyi.project.training.bccnew.service;

import java.util.List;
import com.ruoyi.project.training.bccnew.domain.TTsNew;

/**
 * 导师带徒Service接口
 * 
 * @author ssy
 * @date 2024-05-20
 */
public interface ITTsNewService 
{
    /**
     * 查询导师带徒
     * 
     * @param newId 导师带徒ID
     * @return 导师带徒
     */
    public TTsNew selectTTsNewById(Long newId);

    /**
     * 查询导师带徒列表
     * 
     * @param tTsNew 导师带徒
     * @return 导师带徒集合
     */
    public List<TTsNew> selectTTsNewList(TTsNew tTsNew);

    /**
     * 新增导师带徒
     * 
     * @param tTsNew 导师带徒
     * @return 结果
     */
    public int insertTTsNew(TTsNew tTsNew);

    /**
     * 修改导师带徒
     * 
     * @param tTsNew 导师带徒
     * @return 结果
     */
    public int updateTTsNew(TTsNew tTsNew);
    public int updateTTsNew(TTsNew tTsNew,Long userId,String nickName);

    /**
     * 批量删除导师带徒
     * 
     * @param newIds 需要删除的导师带徒ID
     * @return 结果
     */
    public int deleteTTsNewByIds(Long[] newIds);

    /**
     * 删除导师带徒信息
     * 
     * @param newId 导师带徒ID
     * @return 结果
     */
    public int deleteTTsNewById(Long newId);
}
